<?php
namespace Ep\Gath;

use Ep\Gath\Form\Element\GathAwareElementFactory;
use Zend\Form\ElementFactory;

return [
    'form_elements' => [
        'aliases' => [
            'gath.select_motorcycle' => Form\SelectMotorcycle::class,
            'gath.motorcycle_brand_select' => Form\Element\MotorcycleBrandSelect::class,
            'gath.motorcycle_model_select' => Form\Element\MotorcycleModelSelect::class,
            'gath.motorcycle_select'       => Form\Element\MotorcycleSelect::class,
        ],

        'factories' => [
            Form\SelectMotorcycle::class => ElementFactory::class,
            Form\Element\MotorcycleBrandSelect::class => GathAwareElementFactory::class,
            Form\Element\MotorcycleModelSelect::class => GathAwareElementFactory::class,
            Form\Element\MotorcycleSelect::class      => GathAwareElementFactory::class,
        ],

        'shared' => [
            Form\SelectMotorcycle::class => true,
        ],
    ],
];