<?php
namespace Ep\Gath\Moto;

/**
 * Drži trenutno odabrani motocikl.
 *
 * @package Gath\Moto
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/gath
 */
class SelectedMotorcycle
{
    /** @var array */
    private $motorcycle;

    /**
     * @return array|null
     */
    public function get(): ?array
    {
        return $this->motorcycle;
    }

    /**
     * @param array $motorcycle
     */
    public function set(array $motorcycle)
    {
        $this->motorcycle = $motorcycle;
    }

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->motorcycle ? $this->motorcycle['MotoId'] : 0;
    }
}